Subject: Re: Question about IPv6 neighbor discovery and 6lowpan

From: Alexander Aring <[email-masked]>
Date: Thu, 21 Nov 2013 16:34:15 +0100

Hi Jukka,

On Thu, Nov 21, 2013 at 05:02:58PM +0200, Jukka Rissanen wrote:
> Hi,
> 
> I am investigating RFC 6775 (Neighbor Discovery Optimization for IPv6
> over Low-Power Wireless Personal Area Networks (6LoWPANs))
> http://tools.ietf.org/html/rfc6775
> 
> The RFC suggests some changes to neighbor discovery procedure for the
> 6LoWPAN networks. I was looking net/ipv6/ndisc.c and it seems that
> ARPHRD type (from type field in net_device struct) is the only way to
> detect and change the discovery procedure in the ndisc.c code. Am I
> right with this assumption here?
> 
I think you are right, there was some patches on linux-zigbee-devel who
use exact the same idea to check the ARPHRD type.

But I am investigating for rfc6775, too. :-)

At the moment I see too many unsolved issues in the ieee802154/6lowpan
implementation which should be fixed at first. :(

- Alex